> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete data source

> Delete a data source (formerly known as "inference pipeline") by its ID.



## OpenAPI

````yaml delete /inference-pipelines/{inferencePipelineId}
openapi: 3.0.3
info:
  contact:
    email: support@openlayer.com
    name: Openlayer
    url: https://openlayer.com/
  description: API for interacting with the Openlayer server.
  title: Openlayer API
  version: '1.0'
  x-logo:
    url: https://logo.clearbit.com/openlayer.com
servers:
  - url: https://api.openlayer.com/v1
    description: Our prod backend
security:
  - bearerAuth: []
paths:
  /inference-pipelines/{inferencePipelineId}:
    delete:
      tags:
        - Monitoring
      description: Delete inference pipeline.
      parameters:
        - $ref: '#/components/parameters/inferencePipelineId'
      responses:
        '200':
          description: Response OK.
        default:
          $ref: '#/components/responses/UnexpectedError'
      x-codeSamples:
        - lang: python
          source: |
            from openlayer import Openlayer

            client = Openlayer()
            inference_pipeline = client.inference_pipelines.delete(
                inference_pipeline_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
        - lang: typescript
          source: |
            import Openlayer from 'openlayer';

            const openlayer = new Openlayer();
            await openlayer.inferencePipelines.delete(
              inferencePipelineId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );
        - lang: go
          source: |
            package main

            import (
              "context"

              "github.com/openlayer-ai/openlayer-go"
              "github.com/openlayer-ai/openlayer-go/option"
            )

            client := openlayer.NewClient()
            client.Projects.InferencePipelines.Delete(
              context.TODO(),
              inferencePipelineId: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
        - lang: java
          source: >
            import com.openlayer.api.client.OpenlayerClient;

            import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;

            import
            com.openlayer.api.models.ProjectInferencePipelineDeleteParams;

            import
            com.openlayer.api.models.ProjectInferencePipelineDeleteResponse;


            OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();


            ProjectInferencePipelineDeleteParams params =
            ProjectInferencePipelineDeleteParams.builder()
                .inferencePipelineId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                .build();

            ProjectInferencePipelineDeleteResponse response =
            client.projects().inferencePipelines().delete(params);
        - lang: curl
          source: |
            curl --request DELETE \
              --url https://api.openlayer.com/v1/projects/{projectId}/inference-pipelines/{inferencePipelineId} \
              --header 'Authorization: Bearer <token>'
components:
  parameters:
    inferencePipelineId:
      name: inferencePipelineId
      in: path
      description: The inference pipeline id (a UUID).
      required: true
      schema:
        type: string
        format: uuid
  responses:
    UnexpectedError:
      description: Unexpected error.
      content:
        application/json:
          schema:
            type: object
            required:
              - code
              - error
            properties:
              code:
                type: integer
                format: int32
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your workspace API key. See [Find your API
        key](https://www.openlayer.com/docs/workspace-and-projects/find-your-api-key)
        for more information.

````